## Class ElencoTerritoriContinenti

    java.lang.Object
      ElencoTerritoriContinenti

    public class ElencoTerritoriContinenti

extends java.lang.Object

Contiene l'elenco dei territori. Verifica che il nome di un territorio sia valido, restituisce l'elenco dei territori in formato stringa.

Version:
  1.0.0
Author:
  Alessio Treglia

Field Summary
`static java.lang.String[]` `CONTINENTI` Elenco dei continenti
`static java.lang.String[]` `TERRITORI` Elenco dei territori

Constructor Summary
`ElencoTerritoriContinenti()`

Method Summary
`static boolean` `continenteValido(java.lang.String nome)` Verifica che una stringa sia un nome valido per un continente.
`static java.lang.String` `elencoTuttiContinenti()` Restituisce l'elenco dei continenti in una stringa
`static java.lang.String` `elencoTuttiTerritori()` Restituisce una stringa contenente l'elenco dei nomi validi per i territori.
`static java.lang.String` `getContinente(java.lang.String nome)` Restituisce il nome del continente di appartanenza di un territorio.
`static int` `numeroTerritoriAfrica()` Restituisce il numero di territori che compongono l'Africa
`static int` `numeroTerritoriAsia()` Restituisce il numero di territori che compongono l'Asia
`static int` `numeroTerritoriEuropa()` Restituisce il numero di territori che compongono l'Europa
`static int` `numeroTerritoriNordAmerica()` Restituisce il numero di territori che compongono il NordAmerica
`static int` `numeroTerritoriOceania()` Restituisce il numero di territori che compongono l'Oceania
`static int` `numeroTerritoriSudAmerica()` Restituisce il numero di territori che compongono il SudAmerica
`static boolean` `territorioValido(java.lang.String nome)` Verifica che una stringa sia un nome valido per un territorio.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TERRITORI

    public static final java.lang.String[] TERRITORI

  Elenco dei territori

### CONTINENTI

    public static final java.lang.String[] CONTINENTI

  Elenco dei continenti

Constructor Detail

### ElencoTerritoriContinenti

    public ElencoTerritoriContinenti()

Method Detail

### elencoTuttiTerritori

    public static java.lang.String elencoTuttiTerritori()

  Restituisce una stringa contenente l'elenco dei nomi validi per i territori.

  Returns:
    l'elenco dei territori

### elencoTuttiContinenti

    public static java.lang.String elencoTuttiContinenti()

  Restituisce l'elenco dei continenti in una stringa

  Returns:
    l'elenco dei continenti in formato `String```

### territorioValido

    public static boolean territorioValido(java.lang.String nome)

  Verifica che una stringa sia un nome valido per un territorio.

  Parameters:
    `nome` - nome del `Territorio`
  Returns:
    `true` se è un nome valido

### continenteValido

    public static boolean continenteValido(java.lang.String nome)

  Verifica che una stringa sia un nome valido per un continente.

  Parameters:
    `nome` - nome del continente
  Returns:
    `true` se è un nome valido

### getContinente

    public static java.lang.String getContinente(java.lang.String nome)

  Restituisce il nome del continente di appartanenza di un territorio.

  Parameters:
    `nome` - nome del `Territorio`
  Returns:
    il continente di appartenenza

### numeroTerritoriNordAmerica

    public static int numeroTerritoriNordAmerica()

  Restituisce il numero di territori che compongono il NordAmerica

  Returns:
    numero di territori che compongono il NordAmerica

### numeroTerritoriSudAmerica

    public static int numeroTerritoriSudAmerica()

  Restituisce il numero di territori che compongono il SudAmerica

  Returns:
    numero di territori che compongono il SudAmerica

### numeroTerritoriEuropa

    public static int numeroTerritoriEuropa()

  Restituisce il numero di territori che compongono l'Europa

  Returns:
    numero di territori che compongono l'Europa

### numeroTerritoriAfrica

    public static int numeroTerritoriAfrica()

  Restituisce il numero di territori che compongono l'Africa

  Returns:
    numero di territori che compongono l'Africa

### numeroTerritoriAsia

    public static int numeroTerritoriAsia()

  Restituisce il numero di territori che compongono l'Asia

  Returns:
    numero di territori che compongono l'Asia

### numeroTerritoriOceania

    public static int numeroTerritoriOceania()

  Restituisce il numero di territori che compongono l'Oceania

  Returns:
    numero di territori che compongono l'Oceania